use Wx;
use strict;

use Wx qw( wxDefaultSize wxDefaultPosition wxNullAnimation wxNullFont wxBLACK );
use Wx qw( wxID_OK wxID_APPLY wxID_SAVE wxID_SAVEAS wxID_CANCEL wxID_YES wxID_NO wxID_EXIT wxID_ABOUT wxID_HELP );
use Wx qw( wxVERTICAL wxHORIZONTAL wxALL wxLEFT wxRIGHT wxTOP wxBOTTOM wxCENTRE wxGROW );
use Wx qw( wxALIGN_RIGHT wxALIGN_BOTTOM wxALIGN_CENTER wxALIGN_CENTER_VERTICAL wxALIGN_CENTER_HORIZONTAL );
use Wx qw( wxLC_REPORT wxSUNKEN_BORDER );

# Bitmap functions

use Wx qw( wxNullBitmap wxBITMAP_TYPE_PNG );

# Window functions

use vars qw($IMG_PROP_EXIF_LIST); $IMG_PROP_EXIF_LIST = 10000;
use vars qw($IMG_PROP_EXIF_CLOSE); $IMG_PROP_EXIF_CLOSE = 10001;

sub image_prop_exif {
    my( $parent ) = $_[0];
    my( $item0 ) = Wx::BoxSizer->new( wxVERTICAL );
    
    my( $item1 ) = Wx::ListCtrl->new( $parent, $main::IMG_PROP_EXIF_LIST, wxDefaultPosition, [400,200], wxLC_REPORT|wxSUNKEN_BORDER );
    $item0->AddWindow( $item1, 0, wxGROW|wxALIGN_CENTER_VERTICAL|wxALL, 5 );

    my( $item2 ) = Wx::Button->new( $parent, $main::IMG_PROP_EXIF_CLOSE, "OK", wxDefaultPosition, wxDefaultSize, 0 );
    $item0->AddWindow( $item2, 0, wxALIGN_CENTER|wxALL, 5 );

    $_[0]->SetSizer( $item0 );
    $item0->SetSizeHints( $_[0] );
    
    $item0;
}


# Toolbar functions

use Wx qw( wxITEM_NORMAL wxITEM_RADIO wxITEM_CHECK );
